# sigc::reference_wrapper< T_type > Struct Template Reference

Reference wrapper. More...

`#include <sigc++/reference_wrapper.h>`

List of all members.

## Public Member Functions
| reference_wrapper (T_type &v)
| operator T_type & () const
## Public Attributes
T_type & | value_

## Detailed Description

### template <class T_type>
struct sigc::reference_wrapper< T_type >

Reference wrapper.

Use sigc::ref() to create a reference wrapper.